package com.ruoyi.sim.constant;

import java.util.HashSet;

public class FaultConst {

    /**
     * 跳过的开始考试检查故障部位 集合。
     */
    public static HashSet<String> FAULT_SET_CHECK_PASS = new HashSet<>();

    public static HashSet<String> FAULT_SET_JUDGE_RIGHT_FROM_WRONG_SP2 = new HashSet<>();

    /**
     * 是否是 2型，3型 的 维护管
     */
    public static HashSet<String> FAULT_SET_WHG = new HashSet<>();

    static {
        {
            // 1型
            // 1型不存在
            // 2型
            FAULT_SET_CHECK_PASS.add("0002GZBW0001");
            FAULT_SET_CHECK_PASS.add("0002GZBW0003");
            FAULT_SET_CHECK_PASS.add("0002GZBW0005");
            FAULT_SET_CHECK_PASS.add("0002GZBW0009");
            // 3型
            FAULT_SET_CHECK_PASS.add("0003GZBW0006");
            FAULT_SET_CHECK_PASS.add("0003GZBW0007");
        }
        {
            // 1型
            // 1型不存在
            // 2型
            FAULT_SET_JUDGE_RIGHT_FROM_WRONG_SP2.add("0002GZBW0001");
            FAULT_SET_JUDGE_RIGHT_FROM_WRONG_SP2.add("0002GZBW0003");
            FAULT_SET_JUDGE_RIGHT_FROM_WRONG_SP2.add("0002GZBW0005");
            FAULT_SET_JUDGE_RIGHT_FROM_WRONG_SP2.add("0002GZBW0009");
            FAULT_SET_JUDGE_RIGHT_FROM_WRONG_SP2.add("0002GZBW0010");
            // 3型
            FAULT_SET_JUDGE_RIGHT_FROM_WRONG_SP2.add("0003GZBW0006");
            FAULT_SET_JUDGE_RIGHT_FROM_WRONG_SP2.add("0002GZBW0007");
            FAULT_SET_JUDGE_RIGHT_FROM_WRONG_SP2.add("0002GZBW0008");
        }
        {
            // 2型
            // FAULT_SET_WHG.add("0002GZBW0009");
            FAULT_SET_WHG.add("0002GZBW0010");
            // 3型
            // FAULT_SET_WHG.add("0003GZBW0007");
            FAULT_SET_WHG.add("0003GZBW0008");
        }
    }
}
