package com.ruoyi.sim.service.impl;


import com.ruoyi.sim.domain.SimMsg;
import org.apache.commons.lang3.StringUtils;

public class CommParseUtils {

    /**
     * 截取 内容报文。
     *
     * @param
     * @return "01 02 03 04"
     */
    public static String subContentData(SimMsg sm) {
        if (StringUtils.isBlank(sm.getReceiveMsg())) {
            throw new IllegalArgumentException("sm isBlank");
        }
        return StringUtils.substring(sm.getReceiveMsg(), 10, 18);
    }

    public static String subSimNum(SimMsg sm) {
        if (StringUtils.isBlank(sm.getReceiveMsg())) {
            throw new IllegalArgumentException("sm isBlank");
        }
        return StringUtils.substring(sm.getReceiveMsg(), 2, 4);
    }
}
